### Method

# Gegl Nodenew_processor

#### Declaration [src]

    GeglProcessor*
    gegl_node_new_processor (
      GeglNode* node,
      const GeglRectangle* rectangle
    )

#### Description

No description available.

#### Parameters

`rectangle`

  Type: `GeglRectangle`

  The `GeglRectangle` to work on or NULL to work on all available data.

  The data is owned by the caller of the method.

#### Return value

Type: `GeglProcessor`

A new `GeglProcessor`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.